package gametemplate;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class Game extends MIDlet
{
    private static Game instance;
    protected GameDisplay display;
    protected UI_MainMenu mainMenu;
    protected UI_Instructions instructions;
    protected UI_Options options;
    private static Displayable currentScreen;
    protected boolean pauseActive = false;


    /** Constructor */
    public Game()
    {
        instance = this;
        display = new GameDisplay();
        mainMenu = new UI_MainMenu(this);
        instructions = new UI_Instructions(this);
        options = new UI_Options(this);
        currentScreen = mainMenu;
    }


    /** Main method */
    public void startApp()
    {
        changeScreen(currentScreen);
    }


    /** Handle pausing the MIDlet */
    public void pauseApp()
    {
    }

    /** Handle destroying the MIDlet */
    public void destroyApp(boolean unconditional)
    {
    }


    /** change display screen */
    public void changeScreen(Displayable display)
    {
        currentScreen = display;
        Display.getDisplay(this).setCurrent(display);
    }


    /** Quit the MIDlet */
    public static void quitApp()
    {
        instance.destroyApp(true);
        instance.notifyDestroyed();
        instance = null;
    }


}
