package gametemplate;

import javax.microedition.lcdui.*;
import com.nokia.mid.ui.*;

/**
Sprite
 */

public class Sprite
{
    public Image image;
    byte x;
    byte y;
    byte vx;                         // x velocity
    byte vy;
    byte byWidth;
    byte byHeight;

    byte byNumFrames;
    byte byFrame;
    byte byVisible;
    Rectangle cRect;                   // collision rectangle


    public Sprite(Image _image, byte _width, byte _height, byte _numFrames)
    {
        image = _image;
        byWidth = _width;
        byHeight = _height;
        byNumFrames = _numFrames;

        // give rest default values
        x = 0;
        y = 0;
        vx = 0;
        vy = 0;
        byFrame = 0;
        byVisible = 0;
    }


    protected Image getImage()
    {
        return image;
    }


    protected void setFrame(byte _frame) throws Exception
    {
        if(_frame < 0 || byFrame > byNumFrames -1)
        {
            throw new Exception("Not correct frame number");
        }
        byFrame = _frame;
    }

    protected void setFrameNoE(byte _frame)
    {
        if(_frame < 0 || byFrame > byNumFrames -1)
        {
            System.out.print("Not correct frame number");
        }
        byFrame = _frame;
    }


    protected void paint(Graphics g)
    {
        g.setClip(x, y, byWidth, byHeight);
        g.drawImage(image, x-byFrame*byWidth, y, Graphics.TOP|Graphics.LEFT);
        g.setClip(0, 0, gameDisplay.iSW, gameDisplay.iSH);
    }

    protected void paint(Graphics g, byte x, byte y)
    {
        g.setClip(x, y, byWidth, byHeight);
        g.drawImage(image, x-byFrame*byWidth, y, Graphics.TOP|Graphics.LEFT);
        g.setClip(0, 0, gameDisplay.iSW, gameDisplay.iSH);
    }/*
    protected void paint(Graphics g, DirectGraphics dg, byte x, byte y)
    {
        g.setClip(x-byFrame*byWidth, y, byWidth, byHeight);
        dg.drawImage(image, x, y, Graphics.TOP|Graphics.LEFT, 0x2000);
        g.setClip(0, 0, gameDisplay.iSW, gameDisplay.iSH);
        //dg.drawImage ( imKipper, byKxy[0][i], byKxy[1][i], G, 0x2000 );
    }*/


    // simple collision - better to use shrunken rectangles
    protected byte collide(Sprite sprite)
    {
        return cRect.ht(sprite.cRect);
        /*
        if((byX + byWidth) > sprite.byX && byX < sprite.byX &&
           (byY + byHeight) > sprite.byY && byY < sprite.byY)
            return true;

        return false;*/
    }
}







