package gametemplate;

import java.util.*;
import javax.microedition.lcdui.*;

/**
SpriteManager
 */

public class SpriteManager
{
    private Vector list;


    public SpriteManager()
    {
        list = new Vector();
    }


    protected void addSprite(Sprite sprite)
    {
        list.addElement(sprite);
    }


    protected void insertSprite(Sprite sprite,int position)
    {
        list.insertElementAt(sprite,position);
    }


    protected int getSpritePosition(Sprite sprite)
    {
        for(int i=0; i<list.size(); i++)
        {
            Sprite comparableSprite = (Sprite)list.elementAt(i);
            if(sprite.equals(comparableSprite))
            {
                return i;
            }
        }
        return -1;
    }


    protected Sprite getSprite(int index)
    {
        return (Sprite)list.elementAt(index);
    }


    protected void deleteSprite(Sprite sprite)
    {
        deleteSprite( getSpritePosition(sprite) );
    }


    protected void deleteSprite(int position)
    {
        list.removeElementAt(position);
    }


    protected int size()
    {
        return list.size();
    }


    protected void paint(Graphics g)
    {
        for(int i=0; i<list.size(); i++)
        {
            Sprite sprite = (Sprite)list.elementAt(i);
            sprite.paint(g);
        }
    }
}