package gametemplate;

import javax.microedition.lcdui.*;

/**
UI_MainMenu
 */

public class UI_MainMenu extends List implements CommandListener
{
    private final Game gameMidlet;

    /**Constructor */
    UI_MainMenu(Game _gameMidlet)
    {
        super(Resources.MENU_TITLE, List.IMPLICIT);
        gameMidlet = _gameMidlet;
        append(Resources.MENU_GAME, null);
        append(Resources.MENU_INSTRUCTIONS, null);
        append(Resources.MENU_OPTIONS, null);
        append(Resources.MENU_SCORES, null);
        append(Resources.MENU_EXIT, null);
        setCommandListener(this);
    }


    /** Respong to Command key pressed */
    public void commandAction(Command c, Displayable d)
    {
        String str = getString(getSelectedIndex());

        if (c == SELECT_COMMAND)
        {
            if(gameMidlet.pauseActive)
            {
                 if (str.equals(Resources.CONTINUE))
                {
                    set(0,Resources.MENU_GAME,null);
                    gameMidlet.pauseActive = false;
                    gameMidlet.changeScreen(gameMidlet.display);
                 }
            }

            if (str.equals(Resources.MENU_GAME))
            {
                gameMidlet.changeScreen(gameMidlet.display);
            }
            else if (str.equals(Resources.MENU_INSTRUCTIONS))
            {
                gameMidlet.changeScreen(gameMidlet.instructions);
            }
            else if (str.equals(Resources.MENU_OPTIONS))
            {
                gameMidlet.changeScreen(gameMidlet.options);
            }
            else if (str.equals(Resources.MENU_SCORES))
            {
                //Display.state = Display.HIGHSCORE;
                gameMidlet.changeScreen(gameMidlet.display);
            }
            else if (str.equals(Resources.MENU_EXIT))
            {
                gameMidlet.quitApp();
            }
        }
    }

    /** change 1st menu item */
    protected void pauseOptionOn()
    {
        set(0,Resources.CONTINUE,null);
    }



}